# Alert Structure

{% hint style="warning" %}
Workflows are getting an upgrade: meet [Notification Routes](/use-groundcover/monitors/notification-routes.md)
{% endhint %}

## Structure

<table><thead><tr><th width="245.015625">Field Name</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td>labels</td><td>Map of key:values derived from monitor definition.</td><td><p>{<br>"workload": "frontend",</p><p>"namespace": "prod"<br>}</p></td></tr><tr><td>status</td><td>Current status of the alert</td><td><ul><li>firing - Active alert indicating an ongoing issue.</li><li>resolved - The issue has been resolved, and the alert is no longer active.</li><li>suppressed - Alert is suppressed.</li><li>pending - No Data or insufficient data to determine the alert state.</li></ul></td></tr><tr><td>lastReceived</td><td>Timestamp when the alert was last received</td><td>This alert timestamp</td></tr><tr><td>firingStartTime</td><td>Start time of the firing alert</td><td>First timestamp of the current firing state.</td></tr><tr><td>source</td><td>Sources generating the alert</td><td>grafana</td></tr><tr><td>fingerprint</td><td>Unique fingerprint of the alert, this is a hash of the labels</td><td>02f5568d4c4b5b7f</td></tr><tr><td>alertname</td><td>Name of the monitor</td><td>Workload Pods Crashed Monitor</td></tr><tr><td>_gc_severity</td><td>The defined severity of the alert</td><td>S3, error</td></tr><tr><td>trigger</td><td>Trigger condition of the workflow</td><td>alert / manual / interval</td></tr><tr><td>values</td><td><p>A map containing two values that can be used:</p><p>The numeric value that triggered the alert (threshold_input_query) and the actual threshold that was defined for the alert (threshold_1)</p></td><td>"values": { "threshold_1": 0, "threshold_input_query": 99.507}</td></tr></tbody></table>

## Usage

When crafting your workflows you can use any of the fields above using templating in any workflow field. Encapsulate you fields using double opening and closing curly brackets.

### Examples

#### Using Label Values

You can access label values by `alert.labels.*`

```
message: "Pod Crashed - Pod: {{ alert.labels.pod_name }} Namespace: {{ alert.labels.namespace }}"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.groundcover.com/use-groundcover/workflows/alert-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
